Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSplitPaneDivider.MouseHandler

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--javax.swing.plaf.basic.BasicSplitPaneDivider.MouseHandler

protected class BasicSplitPaneDivider.MouseHandler
extends java.awt.event.MouseAdapter
implements java.awt.event.MouseMotionListener

MouseHandler is responsible for converting mouse events (released, dragged...) into the appropriate DragController methods.

Constructor Summary
`protected` | `BasicSplitPaneDivider.MouseHandler()`

Method Summary
`void` | `mouseDragged(java.awt.event.MouseEvent e)` If dragger is not null it is messaged with continueDrag.
`void` | `mouseMoved(java.awt.event.MouseEvent e)` Resets the cursor based on the orientation.
`void` | `mousePressed(java.awt.event.MouseEvent e)` Starts the dragging session by creating the appropriate instance of DragController.
`void` | `mouseReleased(java.awt.event.MouseEvent e)` If dragger is not null it is messaged with completeDrag.

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSplitPaneDivider.MouseHandler

    protected BasicSplitPaneDivider.MouseHandler()

Method Detail

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Starts the dragging session by creating the appropriate instance of DragController.
  Overrides:
    mousePressed in class java.awt.event.MouseAdapter

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  If dragger is not null it is messaged with completeDrag.
  Overrides:
    mouseReleased in class java.awt.event.MouseAdapter

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  If dragger is not null it is messaged with continueDrag.
  Specified by:
    mouseDragged in interface java.awt.event.MouseMotionListener

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Resets the cursor based on the orientation.
  Specified by:
    mouseMoved in interface java.awt.event.MouseMotionListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.